(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "lodash", "semver"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const lodash_1 = require("lodash");
    const semver_1 = require("semver");
    const typedocVersion = require('typedoc/package.json').version;
    function checkTypedocVersion(semverString) {
        return semver_1.satisfies(typedocVersion, semverString);
    }
    exports.isTypedocVersion = lodash_1.memoize(checkTypedocVersion);
});
